Browser Requirements

Learn Engines and Learn Engines activities work best in the most up to date browser versions of Chrome, Firefox, Safari, or Edge (Chromium). There are certain browser features that must be enabled in order to use Learn Engines websites including but are not limited to:

  • JavaScript
  • Cookies (first party)
  • Local Storage
  • WebGL (Diablo Highway)
  • Streaming Media (Murder at Old Fields)
« Back to Learn Engines Help